Package org.eclipse.mat.util

# Class HTMLUtils

java.lang.Object
org.eclipse.mat.util.HTMLUtils

public final class HTMLUtils extends Object
Helpers for building HTML reports.

## Method Summary

Modifier and Type
Method
Description
`static String`
`escapeText(String text)`
Escape input text so that characters are not misinterpreted by HTML parsers.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### escapeText

public static String escapeText(String text)
Escape input text so that characters are not misinterpreted by HTML parsers.

Parameters:
  `text` - the string to be protected
Returns:
  the escaped text